=== modified file 'merge.py'
--- merge.py	2007-02-03 14:19:44 +0000
+++ merge.py	2007-09-11 10:17:33 +0000
@@ -35,7 +35,7 @@
 
 class MergeDialog:
     """ Display the Merge dialog and perform the needed actions. """
-    def __init__(self, wt, wtpath):
+    def __init__(self, wt, wtpath,default_branch_path=None):
         """ Initialize the Merge dialog. """
         self.glade = gtk.glade.XML(GLADEFILENAME, 'window_merge', 'olive-gtk')
         
@@ -54,6 +54,8 @@
         
         # Get some widgets
         self.entry = self.glade.get_widget('entry_merge')
+        if default_branch_path:
+            self.entry.set_text(default_branch_path)
 
     def display(self):
         """ Display the Add file(s) dialog. """

=== modified file 'olive/__init__.py'
--- olive/__init__.py	2007-09-11 09:49:40 +0000
+++ olive/__init__.py	2007-09-11 10:17:33 +0000
@@ -527,7 +527,8 @@
             error_dialog(_('There are local changes in the branch'),
                          _('Please commit or revert the changes before merging.'))
         else:
-            merge = MergeDialog(self.wt, self.wtpath)
+            parent_branch_path = self.wt.branch.get_parent()
+            merge = MergeDialog(self.wt, self.wtpath,default_branch_path=parent_branch_path )
             merge.display()
 
     @show_bzr_error

